Bug 519025

Summary: setroubleshoot: SELinux is preventing Xorg (xserver_t) "read" access to device /dev/vga_arbiter.
Product: [Fedora] Fedora Reporter: Zack Cerza <zcerza>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: dwalsh, harald, jesse, jmp2linux-f12, mgrepl, olivares14031, pavel.mikula
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard: setroubleshoot_trace_hash:c43e9873897444be55225ba8b12130866e7a27c5e2c111c9edba34beca88ddb9
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-05 01:33:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Zack Cerza 2009-08-24 12:13:41 EDT
The following was filed automatically by setroubleshoot:


SELinux is preventing Xorg (xserver_t) "read" access to device /dev/vga_arbiter.

Detailed Description:

[SELinux is in permissive mode, the operation would have been denied but was
permitted due to permissive mode.]

SELinux has denied the Xorg (xserver_t) "read" access to device
/dev/vga_arbiter. /dev/vga_arbiter is mislabeled, this device has the default
label of the /dev directory, which should not happen. All Character and/or Block
Devices should have a label. You can attempt to change the label of the file
using restorecon -v '/dev/vga_arbiter'. If this device remains labeled device_t,
then this is a bug in SELinux policy. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against the selinux-policy
package. If you look at the other similar devices labels, ls -lZ /dev/SIMILAR,
and find a type that would work for /dev/vga_arbiter, you can use chcon -t
SIMILAR_TYPE '/dev/vga_arbiter', If this fixes the problem, you can make this
permanent by executing semanage fcontext -a -t SIMILAR_TYPE '/dev/vga_arbiter'
If the restorecon changes the context, this indicates that the application that
created the device, created it without using SELinux APIs. If you can figure out
which application created the device, please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this application.

Allowing Access:

Attempt restorecon -v '/dev/vga_arbiter' or chcon -t SIMILAR_TYPE

Additional Information:

Source Context                system_u:system_r:xserver_t:s0-s0:c0.c1023
Target Context                system_u:object_r:device_t:s0
Target Objects                /dev/vga_arbiter [ chr_file ]
Source                        Xorg
Source Path                   /usr/bin/Xorg (deleted)
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.28-2.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   device
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31- #1 SMP Tue
                              Aug 11 21:01:03 EDT 2009 i686 i686
Alert Count                   2
First Seen                    Thu 20 Aug 2009 04:25:14 PM EDT
Last Seen                     Thu 20 Aug 2009 04:57:21 PM EDT
Local ID                      618ac11e-609f-4db0-8ad5-8f31bc81e784
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1250801841.774:24956): avc:  denied  { read } for  pid=1353 comm="Xorg" path="/dev/vga_arbiter" dev=tmpfs ino=1132 scontext=system_u:system_r:xserver_t:s0-s0:c0.c1023 tcontext=system_u:object_r:device_t:s0 tclass=chr_file

node=(removed) type=SYSCALL msg=audit(1250801841.774:24956): arch=40000003 syscall=3 success=yes exit=64 a0=8 a1=bf94cbfc a2=40 a3=85f4974 items=0 ppid=1352 pid=1353 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=tty1 ses=4294967295 comm="Xorg" exe=2F7573722F62696E2F586F7267202864656C6574656429 subj=system_u:system_r:xserver_t:s0-s0:c0.c1023 key=(null)

audit2allow suggests:

#============= xserver_t ==============
allow xserver_t device_t:chr_file read;
Comment 1 Daniel Walsh 2009-08-25 09:05:51 EDT
/dev/vga_arbiter is mislabeled?  restorecon /dev/vga_arbiter should fix.

This device should have been created by udev with the correct file context?  Do you have any idea how it got created with the wrong context?
Comment 2 Harald Hoyer 2009-08-25 09:29:59 EDT
seems like Xorg created it by itsself
Comment 3 Harald Hoyer 2009-08-25 09:31:32 EDT
and no, I don't know what created it.. udev has no special selinux rules.. it's just the same procedure for all devices.
Comment 4 Bug Zapper 2009-11-16 06:38:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 6 Harald Hoyer 2010-01-26 06:07:21 EST
*** Bug 521752 has been marked as a duplicate of this bug. ***
Comment 7 Harald Hoyer 2010-01-26 06:07:27 EST
*** Bug 523513 has been marked as a duplicate of this bug. ***
Comment 8 Harald Hoyer 2010-01-26 06:18:48 EST
*** Bug 547618 has been marked as a duplicate of this bug. ***
Comment 9 Daniel Walsh 2010-01-27 09:28:18 EST
Should this be reassigned to Xserver?
Comment 10 Bug Zapper 2010-11-04 06:24:11 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 Bug Zapper 2010-12-05 01:33:55 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.